import request from '@/utils/request'

// 查询会员价格设置列表
export function listVipPrice(query) {
  return request({
    url: '/xq/vipPrice/list',
    method: 'get',
    params: query
  })
}

// 查询会员价格设置详细
export function getVipPrice(id) {
  return request({
    url: '/xq/vipPrice/' + id,
    method: 'get'
  })
}

// 新增会员价格设置
export function addVipPrice(data) {
  return request({
    url: '/xq/vipPrice',
    method: 'post',
    data: data
  })
}

// 修改会员价格设置
export function updateVipPrice(data) {
  return request({
    url: '/xq/vipPrice',
    method: 'put',
    data: data
  })
}

// 删除会员价格设置
export function delVipPrice(id) {
  return request({
    url: '/xq/vipPrice/' + id,
    method: 'delete'
  })
}
